net.sf.jasperreports.engine.base

## Class BasePrintBookmark

- java.lang.Object
- - net.sf.jasperreports.engine.base.BasePrintBookmark

- All Implemented Interfaces:
    java.io.Serializable, PrintBookmark

      public class BasePrintBookmark
      extends java.lang.Object
      implements PrintBookmark, java.io.Serializable

  Version:
    $Id: JasperPrint.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<PrintBookmark>` | `bookmarks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePrintBookmark(java.lang.String label, int pageIndex, java.lang.String elementAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBookmark(PrintBookmark child)`
    `java.util.List<PrintBookmark>` | `getBookmarks()`
    `java.lang.String` | `getElementAddress()`
    `java.lang.String` | `getLabel()`
    `int` | `getPageIndex()`
    `void` | `setLabel(java.lang.String label)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bookmarks

          public java.util.List<PrintBookmark> bookmarks

  - ### Constructor Detail

    - #### BasePrintBookmark

          public BasePrintBookmark(java.lang.String label,
                           int pageIndex,
                           java.lang.String elementAddress)

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `PrintBookmark`

    - #### getPageIndex

          public int getPageIndex()

      Specified by:
        `getPageIndex` in interface `PrintBookmark`

    - #### getElementAddress

          public java.lang.String getElementAddress()

      Specified by:
        `getElementAddress` in interface `PrintBookmark`

    - #### addBookmark

          public void addBookmark(PrintBookmark child)

    - #### getBookmarks

          public java.util.List<PrintBookmark> getBookmarks()

      Specified by:
        `getBookmarks` in interface `PrintBookmark`

    - #### setLabel

          public void setLabel(java.lang.String label)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com